Subject: bug#2289: wishlist with fix: losing X-windows clipboard

From: Stefan Monnier <[email-masked]>
Date: Wed, 11 Feb 2009 21:33:23 -0500

severity 2289 wishlist
thanks

> Fix: The following one-line patch seems to work, but I'm no emacs
> hacker, so among other things, there's no configuration.  It just
> saves the clipboard to the kill-ring before killing if yank would
> result in yanking the clipboard instead of the top of the kill ring.

I use a similar patch myself.
And actually I tried to get it accepted, but it was turned down because
of the problems it introduces when the "current-kill" hangs (e.g. when
the holder of the selection is suspended).
We should add it together, conditional on some config var.
That will be for Emacs-23.2, tho.

        Stefan